ServerEvents.recipes(event => {
    event.remove({ output: 'powah:dielectric_casing' })
    event.shaped(
        Item.of('powah:dielectric_casing'),
        [
            'ABA',
            'CDC',
            'ABA'
        ],
        {
            A: 'thermal_extra:shellite_ingot',
            B: 'powah:dielectric_rod_horizontal',
            C: 'powah:dielectric_rod',
            D: 'industrialforegoing:machine_frame_advanced'
        }
    )
    event.remove({ output: 'powah:energizing_orb' })
    event.shaped(
        Item.of('powah:energizing_orb'),
        [
            'AAA',
            'ABA',
            'DCD'
        ],
        {
            A: '#c:glass_blocks',
            B: 'create:depot',
            C: 'powah:dielectric_casing',
            D: 'powah:dielectric_rod_horizontal'
        }
    )
    event.remove({ id: 'powah:crafting/dielectric_rod' })
    event.shaped(
        Item.of('powah:dielectric_rod',4),
        [
            'ABA',
            'ACA',
            'ABA'
        ],
        {
            A: 'powah:dielectric_paste',
            B: [
                'industrialforegoing:plastic',
                'mekanism:hdpe_rod',
                'immersiveengineering:plate_duroplast'
            ],
            C: '#forge:wires/steel'
        }
    )
    event.remove({ id: 'powah:crafting/dielectric_rod_h' })
    event.shaped(
        Item.of('powah:dielectric_rod_horizontal',4),
        [
            'AAA',
            'BCB',
            'AAA'
        ],
        {
            A: 'powah:dielectric_paste',
            B: [
                'industrialforegoing:plastic',
                'mekanism:hdpe_rod',
                'immersiveengineering:plate_duroplast'
            ],
            C: '#forge:wires/steel'
        }
    )
})